.fade-in {
  animation: fadeInAnimation 0.3s ease-in forwards;
  opacity: 0;
}

@keyframes fadeInAnimation {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

body {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  margin: 0;
  padding: 0;
  background-color: black;
}

header {
  background-color: #357EC7;
  color: #fff;
  padding: 1%;
  text-align: center;
}

header h1 {
  font-size: xx-large;
  margin: 0;
  color: white;
}

main {
  display: flex;
  justify-content: space-between;
  padding: 20px;
}

section {
  flex-basis: 45%;
  background-color: black;
  padding: 20px;
  border-radius: 5px;
  color: #357EC7;
  border: 2px solid;
}

h4 {
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 20px;
  color: white;
  padding: 5px;
}

h3 {
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 50px;
  color: white;
}

body li {
  margin-left: 20px;
  margin-right: 20px;
  color: white;
}

button {
  background-color: #357EC7;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

button:hover {
  background-color: blue;
}

section h2 {
  color: #357EC7;
}

textarea {
  background-color: black;
  color: white;
}

footer {
  background-color: #357EC7;
  color: #fff;
  text-align: center;
  padding: 20px;
}

#original-text {
  width: 100%;
  height: 150px;
  margin-bottom: 10px;
}

nav {
  font-size: large;
}
nav ul {
  list-style-type: none;
  padding: 0;
}

nav ul li {
  display: inline;
  margin-right: 15px;
}

nav ul li a {
  text-decoration: none;
  color: white;
  font-weight: bold;
  transition: color 0.3s;
}

nav ul li a:hover {
  color: black;
}
#login-register-button {
  text-decoration: none;
  color: white;
  font-weight: bold;
  padding: 10px 20px;
  border: 2px solid white;
  border-radius: 5px;
  transition: background-color 0.3s, color 0.3s;
}

#login-register-button:hover {
  background-color: blue;
  color: #fff;
}

#tips a {
  color: #fff;
  text-decoration: none;
}
#about a {
  color: #fff;
  text-decoration: none;
}
#encryption-info p {
  color: white;
}

#password-form input[type="range"] {
  width: 100%;
}
#password-form input[type="checkbox"] {
  color: white;
}
#encryption-result {
  margin-top: 20px;
  border: 2px solid #0078d4;
  padding: 10px;
  border-radius: 5px;
}

#encryption-result h3 {
  margin-top: 0;
}

#encrypted-text {
  font-family: Consolas, monospace;
  white-space: pre-wrap;
}
#password-info p {
  color: white;
}

#password-results {
  margin-top: 50px;
  border: 2px solid #0078d4;
  padding: 10px;
  border-radius: 5px;
}

#password-results h3 {
  margin-top: 0;
  font-size: 10px;
  color: white;
}

#generated-password {
  font-family: Consolas, monospace;
  font-size: 20px;
  color: white;
}
.cookie-warning {
  display: none;
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: #0078d4;
  padding: 10px;
  text-align: center;
  box-shadow: 0px -2px 5px rgba(0, 0, 0, 0.2);
  animation: fadeInAnimation 0.5s ease-in forwards;
}

.cookie-warning span {
  display: block;
  margin-bottom: 5px;
  color: white;
}

.popup-message {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 10px;
  background-color: #007bff;
  color: #fff;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  z-index: 9999;
  animation: fadeInAnimation 0.5s ease-in forwards;
}
#encryption-method {
  background-color: black;
  color: white;
  border: 2px solid #357EC7;
  padding: 10px;
  border-radius: 5px;
  width: 100%;
  margin-bottom: 10px;
}

#key-input-container {
  display: none;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 10px;
  border-radius: 5px;
  transition: opacity 0.3s ease-in-out;
}

#key-input-container input {
  background: transparent;
  color: white;
  border: none;
  border-bottom: 2px solid #357EC7;
  padding: 5px;
  width: 100%;
}

button {
  background-color: #357EC7;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  width: 100%;
  margin-top: 10px;
}

button:hover {
  background-color: blue;
}

#encryption-result {
  margin-top: 20px;
  border: 2px solid #0078d4;
  padding: 10px;
  border-radius: 5px;
  color: white;
  background-color: black;
}
